#
# spec file for package ncrack
#
# Copyright (c) 2018, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ncrack
Version:        0.6.0+git.20180620
Release:        2.25
Summary:        High-speed network authentication cracking tool
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Diagnostic
URL:            https://nmap.org/ncrack/
#Git-Clone:     https://github.com/nmap/ncrack.git
#Source:         https://nmap.org/ncrack/dist/ncrack-0.6.tar.gz
#Source1:        https://nmap.org/ncrack/dist/sigs/ncrack-0.6.tar.gz.asc
Source:         %{name}-%{version}.tar.xz
Patch0:         ncrack-fix-compile-errors.patch
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libcrypto) >= 1.1
BuildRequires:  pkgconfig(libssl) >= 1.1
BuildRequires:  pkgconfig(zlib)

%description
Ncrack is a high-speed network authentication cracking tool. It was
built to help companies secure their networks by proactively testing all
their hosts and networking devices for poor passwords.

Security professionals also rely on Ncrack when auditing their clients.
Ncrack was designed using a modular approach, a command-line syntax
similar to Nmap and a dynamic engine that can adapt its behaviour based
on network feedback. It allows for rapid, yet reliable large-scale
auditing of multiple hosts.

Ncrack's features include a very flexible interface granting the user
full control of network operations, allowing for very sophisticated
bruteforcing attacks, timing templates for ease of use, runtime
interaction similar to Nmap's and many more. Protocols supported include
RDP, SSH, http(s), SMB, pop3(s), VNC, FTP, and telnet.

Be sure to read the Ncrack man page (https://nmap.org/ncrack/man.html)
to fully understand Ncrack usage.

%prep
%autosetup -p1

%build
export STRIP=$(type -P true)
%configure \
  --without-openssl-header-check
make VERBOSE=1 %{?_smp_mflags}

%install
%make_install

%files
%license COPYING
%doc CHANGELOG README.md
%{_bindir}/ncrack
%{_mandir}/man1/ncrack.1%{?ext_man}
%{_datadir}/ncrack

%changelog
* Thu Jun 21 2018 mardnh@gmx.de
- Initial package, version 0.6.0+git.20180620
